# OpenSource Projects Overview and Versions

## Composer

### Libraries

| Project | Issues | Current Version |
| --- | ---: |  |
| [Composer.json Utilities](/composer/library/composer-json-utils) | [GitLab](https://gitlab.lakedrops.com/composer/library/composer-json-utils/-/issues) | 2.5.1 |
| [Traefik](/composer/library/traefik) | [GitLab](https://gitlab.lakedrops.com/composer/library/docker-traefik/-/issues) | 3.3.2 |

### Plugins

| Project                                                                   |                                                                                         Issues | Current Version |
|---------------------------------------------------------------------------|-----------------------------------------------------------------------------------------------:|-----------------|
| [Ahoy](/composer/plugin/ahoy)                                             |                           [GitLab](https://gitlab.lakedrops.com/composer/plugin/ahoy/-/issues) | 1.8.1           |
| [Behat for Drupal](/composer/plugin/b4d)                                  |                   [GitLab](https://gitlab.lakedrops.com/composer/plugin/behat4drupal/-/issues) | 3.2.3           |
| [Docker for Drupal](/composer/plugin/d4d)                                 |                  [GitLab](https://gitlab.lakedrops.com/composer/plugin/docker4drupal/-/issues) | 3.10.21         |
| [Dorgflow](/composer/plugin/dorgflow)                                     |                       [GitLab](https://gitlab.lakedrops.com/composer/plugin/dorgflow/-/issues) | 1.11.1          |
| [Drupal 8 Scaffold](/composer/plugin/d8-scaffold)                         |              [GitLab](https://gitlab.lakedrops.com/composer/plugin/drupal-8-scaffold/-/issues) | 1.9.4           |
| [Drupal 9 Scaffold](/composer/plugin/d9-scaffold)                         |              [GitLab](https://gitlab.lakedrops.com/composer/plugin/drupal-9-scaffold/-/issues) | 1.3.7           |
| [Drupal 10 Scaffold](/composer/plugin/d10-scaffold)                       |             [GitLab](https://gitlab.lakedrops.com/composer/plugin/drupal-10-scaffold/-/issues) | 1.0.12          |
| [Drupal Development Environment](/composer/plugin/drupal-dev-environment) | [GitLab](https://gitlab.lakedrops.com/composer/plugin/drupal-development-environment/-/issues) | 3.2.14          |
| [Drupal Environment](/composer/plugin/drupal-environment)                 |             [GitLab](https://gitlab.lakedrops.com/composer/plugin/drupal-environment/-/issues) | 3.2.81          |

### Projects

| Project                            |                                                                     Issues | Current Version |
|------------------------------------|---------------------------------------------------------------------------:|-----------------|
| [Drupal 8](/composer/project/d8)   |  [GitLab](https://gitlab.lakedrops.com/composer/project/drupal-8/-/issues) | 1.5.0           |
| [Drupal 9](/composer/project/d9)   |  [GitLab](https://gitlab.lakedrops.com/composer/project/drupal-9/-/issues) | 1.2.1           |
| [Drupal 10](/composer/project/d10) | [GitLab](https://gitlab.lakedrops.com/composer/project/drupal-10/-/issues) | 1.0.3           |

## Docker

| Project | Issues | Current Version |
| --- | ---: |-----------------|
| [GitLab Drupal CI](/docker/gitlab-drupal-ci) | [GitLab](https://gitlab.lakedrops.com/docker/gitlab-drupal-ci/-/issues) | 2.2.21          |
| [L3D](/docker/l3d) | [GitLab](https://gitlab.lakedrops.com/docker/l3d/-/issues) | 2.10.8          |
| [Maven](/docker/maven-build) | [GitLab](https://gitlab.lakedrops.com/docker/maven-build/-/issues) |                 |
| [Node](/docker/node) | [GitLab](https://gitlab.lakedrops.com/docker/node/-/issues) |                 |

## Drupal

| Project                                                                               | Issues                                                                        | Current Version                               |
|---------------------------------------------------------------------------------------|-------------------------------------------------------------------------------|-----------------------------------------------|
| [ECA - Drupal Events, Conditions, Actions](https://www.drupal.org/project/eca)        | [drupal.org](https://www.drupal.org/project/issues/eca)                       | 2.0.0  [Documentation](https://ecaguide.org/) |
| - [BPMN.iO](https://www.drupal.org/project/bpmn_io)                                   | [drupal.org](+https://www.drupal.org/project/issues/bpmn_io)                  | 2.0.0                                         |
| - [Content Access](https://www.drupal.org/project/eca_content_access)                 | [drupal.org](https://www.drupal.org/project/issues/eca_content_access)        | 2.0.0                                         |
| - [Entity Share](https://www.drupal.org/project/eca_entity_share)                     | [drupal.org](https://www.drupal.org/project/issues/eca_entity_share)          | 2.0.0                                         |
| - [Flag](https://www.drupal.org/project/eca_flag)                                     | [drupal.org](https://www.drupal.org/project/issues/eca_flag)                  | 2.0.0                                         |
| - [State Machine](https://www.drupal.org/project/eca_state_machine)                   | [drupal.org](https://www.drupal.org/project/issues/eca_state_machine)         | 2.0.0                                         |
| - [Tamper Integration](https://www.drupal.org/project/eca_tamper)                     | [drupal.org](https://www.drupal.org/project/issues/eca_tamper)                | 2.0.0                                         |
| - [Tour](https://www.drupal.org/project/eca_tour)                                     | [drupal.org](https://www.drupal.org/project/issues/eca_tour)                  | 2.0.0                                         |
| - [Views Data Export](https://www.drupal.org/project/eca_views_data_export)           | [drupal.org](https://www.drupal.org/project/issues/eca_views_data_export)     | 2.0.0                                         |
| - [Webform](https://www.drupal.org/project/eca_webform)                               | [drupal.org](https://www.drupal.org/project/issues/eca_webform)               | 2.0.0                                         |
| [Digital Signage Framework](https://www.drupal.org/project/digital_signage_framework) | [drupal.org](https://www.drupal.org/project/issues/digital_signage_framework) | 2.5.2                                         |
| - [signageOS](https://www.drupal.org/project/signageos)                               | [drupal.org](https://www.drupal.org/project/issues/signageos)                 | 2.5.2                                         |
| [Wayfinding](https://www.drupal.org/project/wayfinding)                               | [drupal.org](https://www.drupal.org/project/issues/wayfinding)                | 2.2.2                                         |
| [Helpdesk Integration](https://www.drupal.org/project/helpdesk_integration)           | [drupal.org](https://www.drupal.org/project/issues/helpdesk_integration)      | 2.0.2                                         |
| - [GitLab](https://www.drupal.org/project/helpdesk_gitlab)                            | [drupal.org](https://www.drupal.org/project/issues/helpdesk_gitlab)           | 1.0.x                                         |
| - [Zammad](https://www.drupal.org/project/helpdesk_zammad)                            | [drupal.org](https://www.drupal.org/project/issues/helpdesk_zammad)           | 2.0.0                                         |
| - [Zendesk](https://www.drupal.org/project/helpdesk_zendesk)                          | [drupal.org](https://www.drupal.org/project/issues/helpdesk_zendesk)          | 2.0.0                                         |
| [DANSE](https://www.drupal.org/project/danse)                                         | [drupal.org](https://www.drupal.org/project/issues/danse)                     | 2.3.3                                         |
| [Push Framework](https://www.drupal.org/project/push_framework)                       | [drupal.org](https://www.drupal.org/project/issues/push_framework)            | 2.3.1                                         |
| - [Alerta](https://www.drupal.org/project/pf_alerta)                                  | [drupal.org](https://www.drupal.org/project/issues/pf_alerta)                 | 2.3.0                                         |
| - [Email](https://www.drupal.org/project/pf_email)                                    | [drupal.org](https://www.drupal.org/project/issues/pf_email)                  | 2.3.0                                         |
| - [Mattermost](https://www.drupal.org/project/pf_mattermost)                          | [drupal.org](https://www.drupal.org/project/issues/pf_mattermost)             | 2.3.0                                         |
| - [OneSignal](https://www.drupal.org/project/pf_onesignal)                            | [drupal.org](https://www.drupal.org/project/issues/pf_onesignal)              | 2.3.1                                         |
| - [Slack](https://www.drupal.org/project/pf_slack)                                    | [drupal.org](https://www.drupal.org/project/issues/pf_slack)                  | 2.3.0                                         |
| - [Twilio](https://www.drupal.org/project/pf_twilio)                                  | [drupal.org](https://www.drupal.org/project/issues/pf_twilio)                 | 1.1.0                                         |
| Helper Modules                                                                        |                                                                               |
| - [Config Auto Export](https://www.drupal.org/project/config_auto_export)             | [drupal.org](https://www.drupal.org/project/issues/config_auto_export)        | 2.2.0                                         |
| - [CrowdSec](https://www.drupal.org/project/crowdsec)                                 | [drupal.org](https://www.drupal.org/project/issues/crowdsec)                  | 1.1.2                                         |
| - [DRD Agent](https://www.drupal.org/project/drd_agent)                               | [drupal.org](https://www.drupal.org/project/issues/drd_agent)                 | 4.1.2                                         |
| - [Drupal Remote Dashboard](https://www.drupal.org/project/drd)                       | [drupal.org](https://www.drupal.org/project/issues/drd)                       | 4.1.1                                         |
| - [Expose actions](https://www.drupal.org/project/expose_actions)                     | [drupal.org](https://www.drupal.org/project/issues/expose_actions)            | 2.1.0                                         |
| - [Elastic Email](https://www.drupal.org/project/elastic_email)                       | [drupal.org](https://www.drupal.org/project/issues/elastic_email)             | 4.0.0                                         |
| - [Invoice Ninja](https://www.drupal.org/project/invoice_ninja)                       | [drupal.org](https://www.drupal.org/project/issues/invoice_ninja)             | 1.0.x                                         |
| - [JSON: API Book](https://www.drupal.org/project/json_api_book)                      | [drupal.org](https://www.drupal.org/project/issues/json_api_book)             | 1.1.1                                         |
| - [Roles Permission Builder](https://www.drupal.org/project/roles_permission_builder) | [drupal.org](https://www.drupal.org/project/issues/roles_permission_builder)  | 1.0.1                                         |
| - [Secure QR Login](https://www.drupal.org/project/sqrl)                              | [drupal.org](https://www.drupal.org/project/issues/sqrl)                      | 2.0.0                                         |
| - [Views SVG Animation](https://www.drupal.org/project/views_svg_animation)           | [drupal.org](https://www.drupal.org/project/issues/views_svg_animation)       | 1.0.0                                         |
